Index: java/regression/issuer.pem
===================================================================
--- java/regression/issuer.pem	(revision fe715613c3351003b0bfb19740931212a5ba68c4)
+++ java/regression/issuer.pem	(revision fe715613c3351003b0bfb19740931212a5ba68c4)
@@ -0,0 +1,46 @@
+-----BEGIN CERTIFICATE-----
+MIIDBzCCAe+gAwIBAgIILODblEaiZl8wDQYJKoZIhvcNAQEFBQAwETEPMA0GA1UE
+AxMGaXNzdWVyMB4XDTEzMDUwOTAwNTEwMloXDTE2MDQyMzAwNTEwMlowETEPMA0G
+A1UEAxMGaXNzdWVyMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAxOYb
+9ILBZK7AdluCTQD2GYAF/sYyoMUQLnV0f8UxZjFWgstZHo4Kxs8WKX/ooVX5GsO+
+U3QEwdyYSOct1UxTt4eAfLaIyanp76AWbhPbJIPn0Ryz2LCDZDmTitmmr9xvu8Sa
+OQfpjSCrVrSxy/CYx9D8ViYMka/Fl3lZ08oUdoe36xkb9YN2fZprE+prPFRAdxtM
+CVhvrxo9mU9DLOsXSS2gfO3iIk6zH21L5QHlo3nLS/rI8TwbA8xQ073W4P8ILhQR
+Xj9JPC3tmHAbkEqQG5G7ZN+/5adL22jOXHZPmwJpPypMD72sl/br0OcJevre16q5
+2qkvKZeS960ut4AnFwIDAQABo2MwYTAPBgNVHRMBAf8EBTADAQH/MA4GA1UdDwEB
+/wQEAwIBBjAdBgNVHQ4EFgQUN4oZIklMFXNyvph9m4ZXYzEZ2eAwHwYDVR0jBBgw
+FoAUN4oZIklMFXNyvph9m4ZXYzEZ2eAwDQYJKoZIhvcNAQEFBQADggEBAA+6vPDp
+M77Zx1beqO1glS2J9b6FqrIanzSI7BiR8cg6dHcCjIZUD6exrvx6SR/rM9vqmgiY
+76H3Y8ezN2C7RnNBj0I22e17sqFzOsyyriBLCk8f52K/M7RnTFawvGaJKAazzOD6
+Dl3FSbnyqZFrTvEmEhRlqqisoHB+93XP3FD5nUCqRY+NQs0y32oBvUR2l2czqgNW
+HOKQtOABuTOQVy0EdEfkRjIgo+XiN9f8rMbv1It71X3We5PNqjTBifC/v4dxkvQq
+/C52P3tMDlK9Nxq9M9/VAxOyrW1wqLVE0/UfULnri52VI9S4JBwq00YaZPtNmK/W
+Y8ftygeJzodeRXI=
+-----END CERTIFICATE-----
+-----BEGIN RSA PRIVATE KEY-----
+MIIEoQIAAoIBAQDE5hv0gsFkrsB2W4JNAPYZgAX+xjKgxRAudXR/xTFmMVaCy1ke
+jgrGzxYpf+ihVfkaw75TdATB3JhI5y3VTFO3h4B8tojJqenvoBZuE9skg+fRHLPY
+sINkOZOK2aav3G+7xJo5B+mNIKtWtLHL8JjH0PxWJgyRr8WXeVnTyhR2h7frGRv1
+g3Z9mmsT6ms8VEB3G0wJWG+vGj2ZT0Ms6xdJLaB87eIiTrMfbUvlAeWjectL+sjx
+PBsDzFDTvdbg/wguFBFeP0k8Le2YcBuQSpAbkbtk37/lp0vbaM5cdk+bAmk/KkwP
+vayX9uvQ5wl6+t7XqrnaqS8pl5L3rS63gCcXAgMBAAECgf9H2k+4lL+nGdK2ZCla
+Gcia0EWCP/Cu5kxD+8o2OihOgx/FYvvCQIihmsm1B3M7WqPOhZuJ6gGGqKpwUwBK
+GzphqWTvdAtQ/hELpNmr4paJ/1rT4BTpoGqyzuwvvkNL14vWqDm/pRboSCh39o6b
+Hg0RJUGKPF9BvmFoarFNCgkcI//RJw7QTp0JquxBgHMXt3AwjYD2uigXHMNOX+bY
+SK0ZTb2HIXMudalxxUrW3o5fMl7ntdLe2tstYIoYHp3zzhI38UqMc5E27/cXxMm5
+05JWjNY+eaC/Oo41ypI71hh/JZyX0x6pWb6MjMnKKkjQMIdpOk3MC+2gWftwmptM
+rFkCgYEA9Jo3Zqw+wnZzfYWd9+kSIZlM4yitzAhbq5tPdA5drdkKCBQQmRS7TCs0
+nLRQL0RAwZ7oOPHQBLoIWBzT97pv8QMIEYgKiZwIV8RPdxdd+oVCi9FFgFR5Uaua
+1fT7JVofXRc0NEkN4yVsrHJYHXwmVOqzfM8M7eRAY19UuHtXpgUCgYEAzhLaP396
+q4BLANx62/CuiNnfyik1vlmZccS9halE3Csr5oU5AP/2a2hA0MLcjxn3wWzHq/WZ
+kKbintmBWmm2dXb/3/3Q0qdN6fgZZkQShqkoUWq/3oh0Xuos7jjyek7VLzOrCXrO
+99cWLtUk57E4vscoe/d30txL4mUVNDq3J2sCgYEA0yo33dmhrLwZ5ClwQM/jqUHx
+UMKTl+s3SKUiKK0mTqlqsaKw2Zc+QvmhyA8aklO4G++Vx2NrFEmOXpM0o08+yLC3
+THtHrZkY0rxVZhi0N0zIMHCQMcO7oLgnScLe9lYhcXpQxTq0VH7AnPdx/rJpXTHp
+ljwhi1ZcB+4K8+D3wAkCgYAlj0gaNLj+E0cYZBc8iTS2msdwSGyUQi52jv5gI0b6
+vh+lR3jpVr3qO7k8k5exuXDv30zRadVQiSpa+5fZC9WGuWbPw6pRCs9nqqGugw/B
+XYmMtWE9RS+4sQP5c4W2hzHSBZ/R/YFFqP1REeZFGIcYNqKJXcSIOUDXhccEmwMQ
++wKBgQCdSNAqoDzEL2U5abQTInBezYlcm17JBmZlAByFU3Ij0gRE4n/PfV0jUBPF
++6CTEvZdcaKszuA1hOyjX2zzZawNFP8HqrFfF/FRO73FBrHbCGqsgA75CUmQLIwN
+x5MHGSSmvyGeFs79R42wbdh8kP9pys6hIJcmPaOTYoOcesB0zQ==
+-----END RSA PRIVATE KEY-----
Index: java/regression/issuer_ID.pem
===================================================================
--- java/regression/issuer_ID.pem	(revision fe715613c3351003b0bfb19740931212a5ba68c4)
+++ java/regression/issuer_ID.pem	(revision fe715613c3351003b0bfb19740931212a5ba68c4)
@@ -0,0 +1,19 @@
+-----BEGIN CERTIFICATE-----
+MIIDBzCCAe+gAwIBAgIILODblEaiZl8wDQYJKoZIhvcNAQEFBQAwETEPMA0GA1UE
+AxMGaXNzdWVyMB4XDTEzMDUwOTAwNTEwMloXDTE2MDQyMzAwNTEwMlowETEPMA0G
+A1UEAxMGaXNzdWVyMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAxOYb
+9ILBZK7AdluCTQD2GYAF/sYyoMUQLnV0f8UxZjFWgstZHo4Kxs8WKX/ooVX5GsO+
+U3QEwdyYSOct1UxTt4eAfLaIyanp76AWbhPbJIPn0Ryz2LCDZDmTitmmr9xvu8Sa
+OQfpjSCrVrSxy/CYx9D8ViYMka/Fl3lZ08oUdoe36xkb9YN2fZprE+prPFRAdxtM
+CVhvrxo9mU9DLOsXSS2gfO3iIk6zH21L5QHlo3nLS/rI8TwbA8xQ073W4P8ILhQR
+Xj9JPC3tmHAbkEqQG5G7ZN+/5adL22jOXHZPmwJpPypMD72sl/br0OcJevre16q5
+2qkvKZeS960ut4AnFwIDAQABo2MwYTAPBgNVHRMBAf8EBTADAQH/MA4GA1UdDwEB
+/wQEAwIBBjAdBgNVHQ4EFgQUN4oZIklMFXNyvph9m4ZXYzEZ2eAwHwYDVR0jBBgw
+FoAUN4oZIklMFXNyvph9m4ZXYzEZ2eAwDQYJKoZIhvcNAQEFBQADggEBAA+6vPDp
+M77Zx1beqO1glS2J9b6FqrIanzSI7BiR8cg6dHcCjIZUD6exrvx6SR/rM9vqmgiY
+76H3Y8ezN2C7RnNBj0I22e17sqFzOsyyriBLCk8f52K/M7RnTFawvGaJKAazzOD6
+Dl3FSbnyqZFrTvEmEhRlqqisoHB+93XP3FD5nUCqRY+NQs0y32oBvUR2l2czqgNW
+HOKQtOABuTOQVy0EdEfkRjIgo+XiN9f8rMbv1It71X3We5PNqjTBifC/v4dxkvQq
+/C52P3tMDlK9Nxq9M9/VAxOyrW1wqLVE0/UfULnri52VI9S4JBwq00YaZPtNmK/W
+Y8ftygeJzodeRXI=
+-----END CERTIFICATE-----
Index: java/regression/issuer_private.pem
===================================================================
--- java/regression/issuer_private.pem	(revision fe715613c3351003b0bfb19740931212a5ba68c4)
+++ java/regression/issuer_private.pem	(revision fe715613c3351003b0bfb19740931212a5ba68c4)
@@ -0,0 +1,27 @@
+-----BEGIN RSA PRIVATE KEY-----
+MIIEoQIAAoIBAQDE5hv0gsFkrsB2W4JNAPYZgAX+xjKgxRAudXR/xTFmMVaCy1ke
+jgrGzxYpf+ihVfkaw75TdATB3JhI5y3VTFO3h4B8tojJqenvoBZuE9skg+fRHLPY
+sINkOZOK2aav3G+7xJo5B+mNIKtWtLHL8JjH0PxWJgyRr8WXeVnTyhR2h7frGRv1
+g3Z9mmsT6ms8VEB3G0wJWG+vGj2ZT0Ms6xdJLaB87eIiTrMfbUvlAeWjectL+sjx
+PBsDzFDTvdbg/wguFBFeP0k8Le2YcBuQSpAbkbtk37/lp0vbaM5cdk+bAmk/KkwP
+vayX9uvQ5wl6+t7XqrnaqS8pl5L3rS63gCcXAgMBAAECgf9H2k+4lL+nGdK2ZCla
+Gcia0EWCP/Cu5kxD+8o2OihOgx/FYvvCQIihmsm1B3M7WqPOhZuJ6gGGqKpwUwBK
+GzphqWTvdAtQ/hELpNmr4paJ/1rT4BTpoGqyzuwvvkNL14vWqDm/pRboSCh39o6b
+Hg0RJUGKPF9BvmFoarFNCgkcI//RJw7QTp0JquxBgHMXt3AwjYD2uigXHMNOX+bY
+SK0ZTb2HIXMudalxxUrW3o5fMl7ntdLe2tstYIoYHp3zzhI38UqMc5E27/cXxMm5
+05JWjNY+eaC/Oo41ypI71hh/JZyX0x6pWb6MjMnKKkjQMIdpOk3MC+2gWftwmptM
+rFkCgYEA9Jo3Zqw+wnZzfYWd9+kSIZlM4yitzAhbq5tPdA5drdkKCBQQmRS7TCs0
+nLRQL0RAwZ7oOPHQBLoIWBzT97pv8QMIEYgKiZwIV8RPdxdd+oVCi9FFgFR5Uaua
+1fT7JVofXRc0NEkN4yVsrHJYHXwmVOqzfM8M7eRAY19UuHtXpgUCgYEAzhLaP396
+q4BLANx62/CuiNnfyik1vlmZccS9halE3Csr5oU5AP/2a2hA0MLcjxn3wWzHq/WZ
+kKbintmBWmm2dXb/3/3Q0qdN6fgZZkQShqkoUWq/3oh0Xuos7jjyek7VLzOrCXrO
+99cWLtUk57E4vscoe/d30txL4mUVNDq3J2sCgYEA0yo33dmhrLwZ5ClwQM/jqUHx
+UMKTl+s3SKUiKK0mTqlqsaKw2Zc+QvmhyA8aklO4G++Vx2NrFEmOXpM0o08+yLC3
+THtHrZkY0rxVZhi0N0zIMHCQMcO7oLgnScLe9lYhcXpQxTq0VH7AnPdx/rJpXTHp
+ljwhi1ZcB+4K8+D3wAkCgYAlj0gaNLj+E0cYZBc8iTS2msdwSGyUQi52jv5gI0b6
+vh+lR3jpVr3qO7k8k5exuXDv30zRadVQiSpa+5fZC9WGuWbPw6pRCs9nqqGugw/B
+XYmMtWE9RS+4sQP5c4W2hzHSBZ/R/YFFqP1REeZFGIcYNqKJXcSIOUDXhccEmwMQ
++wKBgQCdSNAqoDzEL2U5abQTInBezYlcm17JBmZlAByFU3Ij0gRE4n/PfV0jUBPF
++6CTEvZdcaKszuA1hOyjX2zzZawNFP8HqrFfF/FRO73FBrHbCGqsgA75CUmQLIwN
+x5MHGSSmvyGeFs79R42wbdh8kP9pys6hIJcmPaOTYoOcesB0zQ==
+-----END RSA PRIVATE KEY-----
Index: java/regression/owner_ID.pem
===================================================================
--- java/regression/owner_ID.pem	(revision fe715613c3351003b0bfb19740931212a5ba68c4)
+++ java/regression/owner_ID.pem	(revision fe715613c3351003b0bfb19740931212a5ba68c4)
@@ -0,0 +1,19 @@
+-----BEGIN CERTIFICATE-----
+MIIDBjCCAe6gAwIBAgIJAPE7s3B5kTdLMA0GCSqGSIb3DQEBBQUAMBAxDjAMBgNV
+BAMTBW93bmVyMB4XDTEzMDUwOTAwNTEwN1oXDTE2MDQyMzAwNTEwN1owEDEOMAwG
+A1UEAxMFb3duZXIwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCkKGUk
+ruciVF3pt6EoZIPE658WP/r3y+VYJ8qz7vaOaq7zhtWAxJU+3D/bLwDVgIa/pJhy
+80HfU1w1sT5BF7u04jz8kXk3a2yG6blYIMSESyTmGG1Kh3qQIvAQCzG6u9JE9/Dl
+jv/FaI7xppRQfSWNCJjEAg6Yp+Zh1pIdmQ0L4XgCJpZ3J0sjDBF3klZOlSNdXHP+
+VFPZM2zFVGN8Psf9talcDsPPxiyjIFOP3ZNaAHbSTFqs0Fet6mBCcyUq5ihxBmMy
+1DzrYGokcT+BhUOOloIOM2a6FUyS2dnVQdYUJUC49MJzS7eRoq7HFtF2SkkJGoPI
+QhwXBYQATOgCHri9AgMBAAGjYzBhMA8GA1UdEwEB/wQFMAMBAf8wDgYDVR0PAQH/
+BAQDAgEGMB0GA1UdDgQWBBT3U1j3+H8/5kESGtN/1cMWOwiW/zAfBgNVHSMEGDAW
+gBT3U1j3+H8/5kESGtN/1cMWOwiW/zANBgkqhkiG9w0BAQUFAAOCAQEAnanyKDiV
+hupOgOFbF0yPyRNVcSQ0aMzfTMalrD/n5hwcm6kkeMpE/UhoyFHGze8vTjdV7B6A
+As3aSe9ylpW3LvMvxAHsbMM8cRTsFJAr+XOiDG4wf3Bvz3nMa/eZCOgc5Eei+I1j
+6b+h7ITv+qNmF/fYvo++iKn81bQfbVlUhNKnUVQOMQsEa96UFVYb7e1xAkBIrQjS
+z+y7cs+pC+nV/IZM9W5mGomMJ2UIGPkylkuJ1xyKkOVi/upd2IfpLxOX+5yOG/rc
+/YY2wLDy2uh/hKTQD3KqDs2Dreh+8N9UPhyphPT60GbXtZjznssPH77lrZWcEKmh
+AXI5VDa7QK9Bow==
+-----END CERTIFICATE-----
Index: java/regression/owner_private.pem
===================================================================
--- java/regression/owner_private.pem	(revision fe715613c3351003b0bfb19740931212a5ba68c4)
+++ java/regression/owner_private.pem	(revision fe715613c3351003b0bfb19740931212a5ba68c4)
@@ -0,0 +1,27 @@
+-----BEGIN RSA PRIVATE KEY-----
+MIIEoQIAAoIBAQCkKGUkruciVF3pt6EoZIPE658WP/r3y+VYJ8qz7vaOaq7zhtWA
+xJU+3D/bLwDVgIa/pJhy80HfU1w1sT5BF7u04jz8kXk3a2yG6blYIMSESyTmGG1K
+h3qQIvAQCzG6u9JE9/Dljv/FaI7xppRQfSWNCJjEAg6Yp+Zh1pIdmQ0L4XgCJpZ3
+J0sjDBF3klZOlSNdXHP+VFPZM2zFVGN8Psf9talcDsPPxiyjIFOP3ZNaAHbSTFqs
+0Fet6mBCcyUq5ihxBmMy1DzrYGokcT+BhUOOloIOM2a6FUyS2dnVQdYUJUC49MJz
+S7eRoq7HFtF2SkkJGoPIQhwXBYQATOgCHri9AgMBAAECggEACn7rspv9OsBurcAY
+LYM5upg/GHbYRsoyXH/U0crcWFBBZeAv2/cVvMprycmYUc5RL0UomybrBgqoKWWu
+/43zKjZR5Gsvtyem7XxZpaUYs4WzcwPKTxrY7wjQ1RHGKPST1eWNcTwCpf5Qr2ox
+bvEFet47GEMyaDfJ/uTvfDV6NFFouNUsV2JwvRwVucniKdim4PBpZi1aPtYrcBUe
+7o9qf3GnEccncCTJWyNrzvY0TFr//K3qVbaMS9E6KqfkyqGL4SIX17epapHwijLR
+HD8usVRSim2Gj2scaLApt3xBAvVYjgr5imvb3U+Ed5uYB7XWemcpq0Se11jVlxhx
+c0V7YQKBgQDRRODGcpK1KVAg3d9zNI5RaACrgIfEip9fmziZTxS3mu7IdVFmPNus
+fzcfi4fKQS/EwshiaqW5nNa8Mdcf0n5/0I3qDwjDZVK07/o2HuHjn6xnZJBpzX+I
+zAdn5aqxe8WBWdgJKUzrI1KT3TpR9ayVEAy8O1IVeywsqRV3cVPqoQKBgQDI0K0w
+SJdzIiyL6NrcZdcu+AN/JHLc6mOWQn8wa/p7vKcMMNk96K22On+2RuV+Z9ZuyPFA
+S8PytKewOtJl32cIJuUR02jr7HTMLuYeG41uKuCkedOPAPri3t+d3my6ff1yN2JG
+QUe+K5rxnxfzFt657hv+qWez46OkqOHYC8tUnQKBgEePwTm7dlXDEeabWM0hnMVT
+xl7fbg4UxVlBUEKE23XJ4nvkOni2uPws6KG96iqMzhP/89xL0e4+JuRmOsVkCuQU
+YmM2zu1amcTMB4k4WFCpiqA0sHmtzz3tX171F8DnrWuFWK4RVH9YLeXokgfy9hhn
+S6OWuYQlAb8n9vJIa8ThAoGAFhbmRh5mEnMa5VT65i2Jqw/7CnxO6kAaLkgoR4JJ
+Ll1FHtEsxGOY4Ce1Lq7DxdDURKFz8DelWUhH/dmqlSwq4DmvDvPrYbBD9MXf6EXt
+m8W5qj4AaIWaE2SiwnHaEfWT8IFpHQNHSgLv604tyz6jx14K1Et8LcyHjrBJD4PU
+nP0CgYBeefQlKS+YjTvRjaaooUKScJW/la7XDPmoTNkdupN2leFLn8VEm2aA3tE2
+KR2svxVlrOTAcxBq7u9+CSdzylcOxn/+V2At++Ujqz6IhDLTsPyGD/BPPAGJlG2w
+5Pt4Mfohvznw77tpLvs2C2TM6IXePfgrky33tlI6G7jDxLSHbQ==
+-----END RSA PRIVATE KEY-----
Index: java/regression/priv.xml
===================================================================
--- java/regression/priv.xml	(revision fe715613c3351003b0bfb19740931212a5ba68c4)
+++ java/regression/priv.xml	(revision fe715613c3351003b0bfb19740931212a5ba68c4)
@@ -0,0 +1,103 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<signed-credential><credential xml:id="ref0"><type>privilege</type><serial>8</serial>
+    <owner_gid>
+MIIDBjCCAe6gAwIBAgIJAPE7s3B5kTdLMA0GCSqGSIb3DQEBBQUAMBAxDjAMBgNV
+BAMTBW93bmVyMB4XDTEzMDUwOTAwNTEwN1oXDTE2MDQyMzAwNTEwN1owEDEOMAwG
+A1UEAxMFb3duZXIwggEiMA0GCSqGSIb3DQEBAQUAA4IBDwAwggEKAoIBAQCkKGUk
+ruciVF3pt6EoZIPE658WP/r3y+VYJ8qz7vaOaq7zhtWAxJU+3D/bLwDVgIa/pJhy
+80HfU1w1sT5BF7u04jz8kXk3a2yG6blYIMSESyTmGG1Kh3qQIvAQCzG6u9JE9/Dl
+jv/FaI7xppRQfSWNCJjEAg6Yp+Zh1pIdmQ0L4XgCJpZ3J0sjDBF3klZOlSNdXHP+
+VFPZM2zFVGN8Psf9talcDsPPxiyjIFOP3ZNaAHbSTFqs0Fet6mBCcyUq5ihxBmMy
+1DzrYGokcT+BhUOOloIOM2a6FUyS2dnVQdYUJUC49MJzS7eRoq7HFtF2SkkJGoPI
+QhwXBYQATOgCHri9AgMBAAGjYzBhMA8GA1UdEwEB/wQFMAMBAf8wDgYDVR0PAQH/
+BAQDAgEGMB0GA1UdDgQWBBT3U1j3+H8/5kESGtN/1cMWOwiW/zAfBgNVHSMEGDAW
+gBT3U1j3+H8/5kESGtN/1cMWOwiW/zANBgkqhkiG9w0BAQUFAAOCAQEAnanyKDiV
+hupOgOFbF0yPyRNVcSQ0aMzfTMalrD/n5hwcm6kkeMpE/UhoyFHGze8vTjdV7B6A
+As3aSe9ylpW3LvMvxAHsbMM8cRTsFJAr+XOiDG4wf3Bvz3nMa/eZCOgc5Eei+I1j
+6b+h7ITv+qNmF/fYvo++iKn81bQfbVlUhNKnUVQOMQsEa96UFVYb7e1xAkBIrQjS
+z+y7cs+pC+nV/IZM9W5mGomMJ2UIGPkylkuJ1xyKkOVi/upd2IfpLxOX+5yOG/rc
+/YY2wLDy2uh/hKTQD3KqDs2Dreh+8N9UPhyphPT60GbXtZjznssPH77lrZWcEKmh
+AXI5VDa7QK9Bow==
+    </owner_gid>
+    <owner_urn>urn:publicid:IDN+plc:gpo:site2+user+jkarlin</owner_urn>
+    <target_gid>
+MIIDCDCCAfCgAwIBAgIJANWtb5ZPUhtJMA0GCSqGSIb3DQEBBQUAMBExDzANBgNV
+BAMTBnRhcmdldDAeFw0xMzA1MDkwMDUxMTFaFw0xNjA0MjMwMDUxMTFaMBExDzAN
+BgNVBAMTBnRhcmdldDCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAOW8
+ajwAW7Ir1dG6qE2r1QY1Kl6yhRj1eiC3oc9rnmpXasgc0mGQX3XW4xe4Schegd9h
+816iZKWJsFdmq7iz0Kd4BQCa6A/3vXdTfDbB6xMpAtItwWYjCiOrBwaMrmKeMfYs
+o1z0mbJNgluuQoELrsMThaRk5opbTEm3bLTOkiyEYJt0jrn+Afr2Ne5DHrQ/bb4n
+UIrXqyksE4CsWyORKZmpzlP2cyhgjTXD4DaATGWe1j2gLmqrYcQxtoG4/f3OMgUb
+ALf1S6wyAeDxnAiaVxQvSyzauV5X5sR4mlCJ8pKMXPt/IRNRnNEomZ6R5MkZa6kX
+QYPLzEscabWlEKrEiPMCAwEAAaNjMGEwDwYDVR0TAQH/BAUwAwEB/zAOBgNVHQ8B
+Af8EBAMCAQYwHQYDVR0OBBYEFGM6rfF1Nke6YPKLcxD1pWzTKrfiMB8GA1UdIwQY
+MBaAFGM6rfF1Nke6YPKLcxD1pWzTKrfiMA0GCSqGSIb3DQEBBQUAA4IBAQAlm3pV
+IjFjshe1SWsOeBOO4gMrLa2BsZLFKdkcm2pBrRn/L+fzfBl5qOnXoojq7oM/8PGB
+pPGuptXE2H3ybVkS0s5vl4kqrgGAFfUAXzOrc6b5QVntj8oOGEwTf+eQ+mpOB3Zy
+I5CxDJ1EYa6Ad0QCteGuygGzcXa4X1Lu0ueiTAltQ9FpvTclFSqKROM9OMkMSDRm
+PcDbrRZVObXSgqlIKnHB6wLyPSWLkIylWx8TYEWqfRtTHQMJqUFNDiPUvIjzk6J8
+rTke0E30WVS7F08Pipa5TC+5pnrYrXv7zp5cwE2CbAmKxZDK9rFVaSlESDoXOWfj
+kUZGc3/3pSEX0WMC
+    </target_gid><target_urn>urn:publicid:IDN+plc:gpo:site2+user+jkarlin</target_urn><uuid/><expires>2015-07-14T19:52:08Z</expires><privileges><privilege><name>refresh</name><can_delegate>false</can_delegate></privilege><privilege><name>test2</name><can_delegate>true</can_delegate></privilege></privileges></credential><signatures><Signature xmlns="http://www.w3.org/2000/09/xmldsig#">
+<SignedInfo>
+<CanonicalizationMethod Algorithm="http://www.w3.org/2001/10/xml-exc-c14n#"/>
+<SignatureMethod Algorithm="http://www.w3.org/2000/09/xmldsig#rsa-sha1"/>
+<Reference URI="#ref0">
+<Transforms>
+<Transform Algorithm="http://www.w3.org/2000/09/xmldsig#enveloped-signature"/>
+</Transforms>
+<DigestMethod Algorithm="http://www.w3.org/2000/09/xmldsig#sha1"/>
+<DigestValue>oVidj/V4RM0KRcoC08rhAFkfpL4=</DigestValue>
+</Reference>
+</SignedInfo>
+<SignatureValue>l3/o8Zr0v+hPzO2BrgT3066h5MI5H8DWID3C0g+MYcV4d1bYh53LQSzMSWamXjQz
+4fYXLfKF1nOYAb0Aji5gED4wTQnGouPTjP6e3RfiQEePAQUfs+k712DiRZ2MIkQ7
+TruOU0Z/qOYRcJkvpSG1b9Rj0nRrIlZoO0vZhjAQMMwZe1jM4cVOCJ1Z5Gi15YX1
+a6H7lSLoEArMMsW/QuNtee8C5qws1/JMraVOE0VRVRzhKXeHp8rtioAmWLfAvljg
+tTJwPSX3qTaR1/B7LMNJ73P6mJiDbrYWlmEyiZ9TkaFtW9vzxYxH2+g7nITLbJW6
+xAYG2tk1jCNlZRD8PnrQxg==</SignatureValue>
+<KeyInfo>
+  <KeyValue>
+<RSAKeyValue>
+<Modulus>
+xOYb9ILBZK7AdluCTQD2GYAF/sYyoMUQLnV0f8UxZjFWgstZHo4Kxs8WKX/ooVX5
+GsO+U3QEwdyYSOct1UxTt4eAfLaIyanp76AWbhPbJIPn0Ryz2LCDZDmTitmmr9xv
+u8SaOQfpjSCrVrSxy/CYx9D8ViYMka/Fl3lZ08oUdoe36xkb9YN2fZprE+prPFRA
+dxtMCVhvrxo9mU9DLOsXSS2gfO3iIk6zH21L5QHlo3nLS/rI8TwbA8xQ073W4P8I
+LhQRXj9JPC3tmHAbkEqQG5G7ZN+/5adL22jOXHZPmwJpPypMD72sl/br0OcJevre
+16q52qkvKZeS960ut4AnFw==
+</Modulus>
+<Exponent>
+AQAB
+</Exponent>
+</RSAKeyValue>
+</KeyValue>
+  <X509Data>
+    
+    
+  
+<X509Certificate>MIIDBzCCAe+gAwIBAgIILODblEaiZl8wDQYJKoZIhvcNAQEFBQAwETEPMA0GA1UE
+AxMGaXNzdWVyMB4XDTEzMDUwOTAwNTEwMloXDTE2MDQyMzAwNTEwMlowETEPMA0G
+A1UEAxMGaXNzdWVyMIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAxOYb
+9ILBZK7AdluCTQD2GYAF/sYyoMUQLnV0f8UxZjFWgstZHo4Kxs8WKX/ooVX5GsO+
+U3QEwdyYSOct1UxTt4eAfLaIyanp76AWbhPbJIPn0Ryz2LCDZDmTitmmr9xvu8Sa
+OQfpjSCrVrSxy/CYx9D8ViYMka/Fl3lZ08oUdoe36xkb9YN2fZprE+prPFRAdxtM
+CVhvrxo9mU9DLOsXSS2gfO3iIk6zH21L5QHlo3nLS/rI8TwbA8xQ073W4P8ILhQR
+Xj9JPC3tmHAbkEqQG5G7ZN+/5adL22jOXHZPmwJpPypMD72sl/br0OcJevre16q5
+2qkvKZeS960ut4AnFwIDAQABo2MwYTAPBgNVHRMBAf8EBTADAQH/MA4GA1UdDwEB
+/wQEAwIBBjAdBgNVHQ4EFgQUN4oZIklMFXNyvph9m4ZXYzEZ2eAwHwYDVR0jBBgw
+FoAUN4oZIklMFXNyvph9m4ZXYzEZ2eAwDQYJKoZIhvcNAQEFBQADggEBAA+6vPDp
+M77Zx1beqO1glS2J9b6FqrIanzSI7BiR8cg6dHcCjIZUD6exrvx6SR/rM9vqmgiY
+76H3Y8ezN2C7RnNBj0I22e17sqFzOsyyriBLCk8f52K/M7RnTFawvGaJKAazzOD6
+Dl3FSbnyqZFrTvEmEhRlqqisoHB+93XP3FD5nUCqRY+NQs0y32oBvUR2l2czqgNW
+HOKQtOABuTOQVy0EdEfkRjIgo+XiN9f8rMbv1It71X3We5PNqjTBifC/v4dxkvQq
+/C52P3tMDlK9Nxq9M9/VAxOyrW1wqLVE0/UfULnri52VI9S4JBwq00YaZPtNmK/W
+Y8ftygeJzodeRXI=</X509Certificate>
+<X509SubjectName>CN=issuer</X509SubjectName>
+<X509IssuerSerial>
+<X509IssuerName>CN=issuer</X509IssuerName>
+<X509SerialNumber>3233825962338707039</X509SerialNumber>
+</X509IssuerSerial>
+</X509Data>
+</KeyInfo>
+</Signature></signatures></signed-credential>
Index: java/regression/target_ID.pem
===================================================================
--- java/regression/target_ID.pem	(revision fe715613c3351003b0bfb19740931212a5ba68c4)
+++ java/regression/target_ID.pem	(revision fe715613c3351003b0bfb19740931212a5ba68c4)
@@ -0,0 +1,19 @@
+-----BEGIN CERTIFICATE-----
+MIIDCDCCAfCgAwIBAgIJANWtb5ZPUhtJMA0GCSqGSIb3DQEBBQUAMBExDzANBgNV
+BAMTBnRhcmdldDAeFw0xMzA1MDkwMDUxMTFaFw0xNjA0MjMwMDUxMTFaMBExDzAN
+BgNVBAMTBnRhcmdldDCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEBAOW8
+ajwAW7Ir1dG6qE2r1QY1Kl6yhRj1eiC3oc9rnmpXasgc0mGQX3XW4xe4Schegd9h
+816iZKWJsFdmq7iz0Kd4BQCa6A/3vXdTfDbB6xMpAtItwWYjCiOrBwaMrmKeMfYs
+o1z0mbJNgluuQoELrsMThaRk5opbTEm3bLTOkiyEYJt0jrn+Afr2Ne5DHrQ/bb4n
+UIrXqyksE4CsWyORKZmpzlP2cyhgjTXD4DaATGWe1j2gLmqrYcQxtoG4/f3OMgUb
+ALf1S6wyAeDxnAiaVxQvSyzauV5X5sR4mlCJ8pKMXPt/IRNRnNEomZ6R5MkZa6kX
+QYPLzEscabWlEKrEiPMCAwEAAaNjMGEwDwYDVR0TAQH/BAUwAwEB/zAOBgNVHQ8B
+Af8EBAMCAQYwHQYDVR0OBBYEFGM6rfF1Nke6YPKLcxD1pWzTKrfiMB8GA1UdIwQY
+MBaAFGM6rfF1Nke6YPKLcxD1pWzTKrfiMA0GCSqGSIb3DQEBBQUAA4IBAQAlm3pV
+IjFjshe1SWsOeBOO4gMrLa2BsZLFKdkcm2pBrRn/L+fzfBl5qOnXoojq7oM/8PGB
+pPGuptXE2H3ybVkS0s5vl4kqrgGAFfUAXzOrc6b5QVntj8oOGEwTf+eQ+mpOB3Zy
+I5CxDJ1EYa6Ad0QCteGuygGzcXa4X1Lu0ueiTAltQ9FpvTclFSqKROM9OMkMSDRm
+PcDbrRZVObXSgqlIKnHB6wLyPSWLkIylWx8TYEWqfRtTHQMJqUFNDiPUvIjzk6J8
+rTke0E30WVS7F08Pipa5TC+5pnrYrXv7zp5cwE2CbAmKxZDK9rFVaSlESDoXOWfj
+kUZGc3/3pSEX0WMC
+-----END CERTIFICATE-----
Index: java/regression/target_private.pem
===================================================================
--- java/regression/target_private.pem	(revision fe715613c3351003b0bfb19740931212a5ba68c4)
+++ java/regression/target_private.pem	(revision fe715613c3351003b0bfb19740931212a5ba68c4)
@@ -0,0 +1,27 @@
+-----BEGIN RSA PRIVATE KEY-----
+MIIEowIAAoIBAQDlvGo8AFuyK9XRuqhNq9UGNSpesoUY9Xogt6HPa55qV2rIHNJh
+kF911uMXuEnIXoHfYfNeomSlibBXZqu4s9CneAUAmugP9713U3w2wesTKQLSLcFm
+IwojqwcGjK5injH2LKNc9JmyTYJbrkKBC67DE4WkZOaKW0xJt2y0zpIshGCbdI65
+/gH69jXuQx60P22+J1CK16spLBOArFsjkSmZqc5T9nMoYI01w+A2gExlntY9oC5q
+q2HEMbaBuP39zjIFGwC39UusMgHg8ZwImlcUL0ss2rleV+bEeJpQifKSjFz7fyET
+UZzRKJmekeTJGWupF0GDy8xLHGm1pRCqxIjzAgMBAAECggEAJEFISKDL18HYNAlv
+fxZzf0/LmHc2zvoKZHhmVkwHC4QxK1R1FQWKMxgO7ZLdPfxAJacZF6GsHX2tsRVY
+W0UxVAR6UZ6gqchwg5DOxPt0ZCkwM0gaQcqc0oUujieMa67Idq+Ttls5mCxoOpy1
+DRVxZoLBr/Bme4Yt82I5iw0gf1q2MIHQpVZQLKxBEfmOzuZLa85wK8YhQN6BHNDY
+nQ+trGTjZjFQdZcXr0ZP+c/HWODg1Ro5kyS1F9tGE0AT86ygF4P9+32H9rH+XS7E
+TnkbTl8c4harc9KyDl2Aw3og6xG6L1iokMdytxmb05iJUEXfJiD9ECFHLMlOJljn
+ZOFiuQKBgQD2cf7Q0fg5QyGeZL0rZtTAQzBn1EelPLYoTbIKFVg57OoZMMvLQ5ey
+CBQOWeHUYQJwKDRlC5xQddcqDNASKJKpYlUl2eEteDvmLdntE5D+PYCL6Jxi2bEl
+sNVekyX0IFchj5yvL/sMGFtUUvZealCHVthVx37Fq5fg8gk/KtOuuQKBgQDupJPT
+Cn24gXbDOB9SFGwRduiaUUsy6S/bpZTokPgHse7UHN/QTdgb7wB3/ugtUwIQN/lH
+Q7Nd+XtJAZkHQ7mA7zSoi/Ad8yk7g6OlLJH/SRoRB9WZDWdhDIUYJYajJIHPKms0
+Ak2H6K1RPuA6GdhdLI6eSGozgnvcMzpAXtC/CwKBgQC6BANdJQ9iUWx/vPQYXW66
+jDxuMom9jBzGQRbgi4njdxKf3vgEPcmzZGuXBXryriKD+6TInEHpbXjx0WgAPMWu
+un0gq9tOUdGMhRFX5AvuCwgLEpFv/3a5x0bWMuVT5lE+EMMobGPmlj/hXxl83Gxa
+K0/xNzpWA5YJAUe/eRj8aQKBgQCj6Vq3e986WYIPOH8ay3gmzruZMvkpsMz0Wtja
+nKgf8PEPs/1uf+lN1m1F/knOx9ME/M01S6TpiTBKxtQrDzNdAe/zTJrSl2/ctuAx
+1Vk6NSW4SN9HTtOQ7x6DpVLCv5KBjqsvf91s2j4hLcSpY5Me/DnBMg/v7VHRv0Xl
+bLqIXQKBgEpLA1wQxhWoFIm98pMvHII5QIIcTFqVS8SOa8XXABSMBu1E7AbMHjzX
+NPEtVopNtbsCWKZiLzLOP89m0wcBtlSF6gklFDUqByrMDKaW+pS1HlRUkE9Fqkjl
+CsqXuW8YR5pmLlNEAZ3vXxQKadfR8E6UB1Hr11DJ+NjoEkbaslkT
+-----END RSA PRIVATE KEY-----
